#ifdef UNDERSCORE
#define sc_icpt sc_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif


/* Maximum no. of weather groups */

#define MXWTHR  3 

/* No. of character interface mnemonics */

#define NCIMN   (1 + MXWTHR)

/* No. of real single-level interface mnemonics */

#define NRSIMN  22  

/* Total no. of real interface mnemonics 
   (single layer + total number of counters */

#define NRIMN   (NRSIMN + 1) 

/* Pointers to relative locations of real interface mnemonics within
   rimnem().  These pointers will be set by SC_IFSP and then used as
   indices into the real interface values array rivals(). */

extern struct {
    int irslat ; int irslon ; int irslev ; int iryear ; int irmnth ;
    int irdays ; int irhour ; int irminu ; int irtdxc ; int irtdnc ;
    int irp06i ; int irp24i ; int irsnow ; int irsnew ; int irweqs ;
    int irmsun ; int irctyl ; int irctym ; int irctyh ; int ircfrt ;
    int ircfrl ; int ircbas ;
    int irnpwx ;
} rintfp;

/* Real interface values */

extern struct {
    float rivals[NRIMN];
} rintfv;

/* Pointers to relative locations of character interface mnemonics
   within cimnem().  These pointers will be set by SC_IFSP and then
   used as indices into the character interface values array
   civals(). */

extern struct {
    int icstid ; int icwcod[MXWTHR];
} cintfp;

/* Character interface values */

extern struct {
    char civals[NCIMN][8];
} cintfv;
