#include "geminc.h"
#include "gemprm.h"
#include "sccmn.h"

/*
**  Function prototypes.
*/
void sc_icpt( char [][8], char[][8], int * );

char *outstr( char [] );


void sc_icpt( char rimnem[][8], char cimnem[][8], int *iret )
{

    int ierwlg;

    unsigned int jj, npwx; 

    char logmsg[201];

/*
**  Print out all of the single-level character interface values
**  that are not "missing".
*/

    if ( cintfv.civals[0][0] != CHSPAC ) {
	sprintf( logmsg, "%s = ", outstr(cimnem[0]) );
        sprintf( &(logmsg[strlen(logmsg)]), "%s\n" ,
		     outstr(cintfv.civals[0]) );
        dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}

/*
**  Print out all of the single-level real interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NRSIMN; jj++ ) {
	if ( ! ERMISS( rintfv.rivals[jj] ) ) {
	    sprintf( logmsg, "%s = %10.2f\n",
		     outstr(rimnem[jj]), rintfv.rivals[jj] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the multi-level interface values.
*/

/*
**  Weather.                    
*/
    npwx = ( unsigned int ) rintfv.rivals[(rintfp.irnpwx)-1];

    if ( npwx > 0 ) {
        sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnpwx)-1]), npwx );
        dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

	strcpy(   logmsg, outstr(cimnem[(cintfp.icwcod[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < npwx ; jj++ ) {
	    sprintf( logmsg,
		     "   %s\n",
		     outstr(cintfv.civals[(cintfp.icwcod[jj])-1]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Set return code.
*/
    *iret = 0;

    return;
}

char *outstr( char string[] ) {

    unsigned short ii;

    static char tmpstr[9];

/*
**  Return a null-terminated copy of string.
*/
    for ( ii = 0; ii < 8; ii++ ) {
	tmpstr[ii] = string[ii];
    }
    tmpstr[8] = '\0';

    return tmpstr;
}
