	SUBROUTINE SC_IFPT ( rimnem, cimnem, iret )
C************************************************************************
C* SC_IFPT								*
C*									*
C* This subroutine prints the interface values arrays to the decoder	*
C* log if the verbosity level is 3 or higher.				*
C*									*
C* SC_IFPT  ( RIMNEM, CIMNEM , IRET)                                    *
C*									*
C* Input parameters:                                                    *
C*      RIMNEM (*)      CHAR*           Interface mnemonics for reals   *
C*      CIMNEM (*)      CHAR*           Interface mnemonics for chars   *
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code 			*
C*					  0 = Normal return 		*
C*									*
C**									*
C* Log:									*
C* A. Hardy/GSC		12/97	Adapted from MA_IFPT			*
C* S. Jacobs/NCEP	 4/98	Fixed typo in a WRITE statement		*
C* A. Hardy/GSC		 5/98	Call DC_IFPC, DC_IFPR, 'LS' -> 'DC' in  *
C*                              WLOG calls                              *
C* D. Kidwell/NCEP	 6/98   Fixed bug to print weather types 2 and 3*
C* R. Hollern/NCEP	12/98   Added interface mnemonics to calling    *
C*                              sequence                                *
C* R. Hollern/NCEP	 9/00   Moved some LOG prints to scdcod.f       *
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
	INCLUDE		'sccmn.cmn'
C*
	CHARACTER       rimnem (NRIMN)*8,  cimnem (NCIMN)*8
C------------------------------------------------------------------------
	iret   = 0
        loglvl = 3
C
C*	Print all of the single-level character interface values
C*	that are not missing.
C
	CALL DC_IFPC ( loglvl, cimnem, civals, 1, ierf )
C
C*	Print all of the single-level real interface values
C*	that are not missing.
C
        CALL DC_IFPR ( loglvl, rimnem, rivals, NRSIMN, ierf )
C
C*	Print all of the multi-level interface values.
C*	Print the three weather types.
C
	IF  ( rivals ( irnpwx ) .gt. 0 )  THEN
C
	    WRITE ( UNIT = logmsg, FMT = '( 2A10 )' )
     +		    rimnem ( irnpwx ), cimnem ( icwcod (1) )
	    CALL DC_WLOG  ( loglvl, 'DC', 2, logmsg (1:20), ierwlg )
	    WRITE ( UNIT = logmsg, FMT = '( F10.2, A10 )' )
     +		    rivals ( irnpwx ), civals ( icwcod (1) )
	    CALL DC_WLOG  ( loglvl, 'DC', 2, logmsg (1:20), ierwlg )
C
	    IF  ( rivals ( irnpwx ) .gt. 1 )  THEN
		DO jj = 2, rivals ( irnpwx )
		    WRITE ( UNIT = logmsg, FMT = '( 10X, A10 )' )
     +		            civals ( icwcod ( jj ) )
		    CALL DC_WLOG ( loglvl, 'DC', 2, logmsg (1:20), ierwlg )
		END DO
	    END IF
C
	END IF
C*
	RETURN
	END
