        SUBROUTINE  SC_STBD( iret )
C************************************************************************
C* SC_STBD                                                              *
C*                                                                      *
C* This subroutine gets from the World Metar Station Table the latitude *
C* and longitude location and elevation of the current station.         *
C*                                                                      *
C* SC_STBD( IRET )                                                      *
C*                                                                      *
C* Input parameters:                                                    *
C*      CIVALS(ICSTID)  CHAR*            Report ID                      *
C*      MAXSTN          INTEGER          Max number of stations in the  *
C*                                       Metar World Station Table      *
C*      YLAT  (MAXSTN)  REAL             Station table latitude array   *
C*      YLONG (MAXSTN)  REAL             Station table longitude array  *
C*      ELEV  (MASTN)   REAL             Station table elevation array  *
C*					                                *
C* Output parameters:                                                   *
C*      RIVALS (IRSLAT) REAL             Latitude of station in         *
C*                                       hundredths of degrees          *
C*      RIVALS (IRSLON) REAL             Longitude of station in        *
C*                                       hundredths of degrees          *
C*      RIVALS (IRSELV) REAL             Elevation of station in meters *
C*      IRET            INTEGER          Return code                    *
C*                                        0 = normal return             *
C*                                        1 = problems                  *
C*                                                                      *
C**                                                                     *
C* Log:                                                                 *
C* R. Hollern/NCEP       7/98  Adapted from MT_STBD                     *
C************************************************************************
        INCLUDE      'GEMPRM.PRM'
        INCLUDE      'scstnd.cmn'
        INCLUDE      'sccmn.cmn'
C*
        CHARACTER    stnid*8, stid*4
C------------------------------------------------------------------------
        iret = 0
        stnid = ' '
C
C*      Get report ID.
C
        stnid = civals( icstid )
        stid = stnid(1:4)
C
C*	Look for id match in station table
C
	CALL DC_BSRC ( stid, jstnid, nstns, ilc, kret )
C
        IF ( ilc .gt. 0 ) THEN
C
C*          Found a match
C
            rivals ( irselv ) = elev(ilc)
            rivals ( irslat ) = ylat ( ilc )
            rivals ( irslon ) = ylong ( ilc )
          ELSE
C 		
C*          Station id not found in station table
C
            iret = 1
            logmsg = 'ID ' // stid // ' not in station table.'
            CALL DC_WLOG ( 2, 'DCSCD', 2, logmsg(1:29), ierlog )
        END IF
C*
	RETURN
	END
